Review / Assignment Rules
sfp server API reference for Review / Assignment Rules: 6 endpoints.
/sfp/api/review/pools/assignCreates a new rule for automatically assigning a pool or dedicated environment to review environments based on branch and domain patterns. Set targetType to "pool" to assign from a pool, or "environment" to assign a dedicated environment.
Authorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/sfp/api/review/pools/assign" \ -H "Content-Type: application/json" \ -d '{ "repositoryIdentifier": "flxbl-io/sf-core", "branchPattern": "feature/*", "priority": 10 }'{ "id": "rpa_1234567890", "repositoryIdentifier": "flxbl-io/sf-core", "targetType": "pool", "poolTag": "feature_dev", "poolType": "SANDBOX", "environmentName": "my-review-env", "branchPattern": "feature/*", "domainPattern": "sales", "domainPatterns": [ "sales", "service" ], "priority": 10, "description": "Feature branches use the development pool", "isActive": true, "createdAt": "2025-01-01T12:00:00Z", "updatedAt": "2025-01-02T12:00:00Z", "createdBy": "admin@example.com", "updatedBy": "admin@example.com", "version": 1}/sfp/api/review/pools/assignSearch and filter assignment rules by various criteria including target type (pool or environment)
Authorization
access-token In: header
Query Parameters
Filter by repository
Filter by pool tag
Filter by target type (pool or environment)
Value in
- "pool"
- "environment"
Filter by active status
Search in branch patterns
Search in domain patterns
Response Body
application/json
curl -X GET "https://example.com/sfp/api/review/pools/assign"[ { "id": "rpa_1234567890", "repositoryIdentifier": "flxbl-io/sf-core", "targetType": "pool", "poolTag": "feature_dev", "poolType": "SANDBOX", "environmentName": "my-review-env", "branchPattern": "feature/*", "domainPattern": "sales", "domainPatterns": [ "sales", "service" ], "priority": 10, "description": "Feature branches use the development pool", "isActive": true, "createdAt": "2025-01-01T12:00:00Z", "updatedAt": "2025-01-02T12:00:00Z", "createdBy": "admin@example.com", "updatedBy": "admin@example.com", "version": 1 }]/sfp/api/review/pools/assign/testTest which pool or environment would be assigned for a given repository, branch, and domain combination
Authorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/sfp/api/review/pools/assign/test" \ -H "Content-Type: application/json" \ -d '{ "repositoryIdentifier": "flxbl-io/sf-core", "branch": "feature/ABC-123" }'{ "matched": true, "targetType": "pool", "poolTag": "feature_dev", "environmentName": "my-review-env", "assignment": { "id": "rpa_1234567890", "repositoryIdentifier": "flxbl-io/sf-core", "targetType": "pool", "poolTag": "feature_dev", "poolType": "SANDBOX", "environmentName": "my-review-env", "branchPattern": "feature/*", "domainPattern": "sales", "domainPatterns": [ "sales", "service" ], "priority": 10, "description": "Feature branches use the development pool", "isActive": true, "createdAt": "2025-01-01T12:00:00Z", "updatedAt": "2025-01-02T12:00:00Z", "createdBy": "admin@example.com", "updatedBy": "admin@example.com", "version": 1 }, "matches": [ { "assignment": { "id": "rpa_1234567890", "repositoryIdentifier": "flxbl-io/sf-core", "targetType": "pool", "poolTag": "feature_dev", "poolType": "SANDBOX", "environmentName": "my-review-env", "branchPattern": "feature/*", "domainPattern": "sales", "domainPatterns": [ "sales", "service" ], "priority": 10, "description": "Feature branches use the development pool", "isActive": true, "createdAt": "2025-01-01T12:00:00Z", "updatedAt": "2025-01-02T12:00:00Z", "createdBy": "admin@example.com", "updatedBy": "admin@example.com", "version": 1 }, "branchScore": 0, "domainScore": 0, "totalScore": 0 } ], "testParams": {}}/sfp/api/review/pools/assign/{id}Authorization
access-token In: header
Path Parameters
Assignment rule ID
Response Body
application/json
curl -X GET "https://example.com/sfp/api/review/pools/assign/string"{ "id": "rpa_1234567890", "repositoryIdentifier": "flxbl-io/sf-core", "targetType": "pool", "poolTag": "feature_dev", "poolType": "SANDBOX", "environmentName": "my-review-env", "branchPattern": "feature/*", "domainPattern": "sales", "domainPatterns": [ "sales", "service" ], "priority": 10, "description": "Feature branches use the development pool", "isActive": true, "createdAt": "2025-01-01T12:00:00Z", "updatedAt": "2025-01-02T12:00:00Z", "createdBy": "admin@example.com", "updatedBy": "admin@example.com", "version": 1}/sfp/api/review/pools/assign/{id}Update patterns, priority, target, or status of an existing assignment rule
Authorization
access-token In: header
Path Parameters
Assignment rule ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/sfp/api/review/pools/assign/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "rpa_1234567890", "repositoryIdentifier": "flxbl-io/sf-core", "targetType": "pool", "poolTag": "feature_dev", "poolType": "SANDBOX", "environmentName": "my-review-env", "branchPattern": "feature/*", "domainPattern": "sales", "domainPatterns": [ "sales", "service" ], "priority": 10, "description": "Feature branches use the development pool", "isActive": true, "createdAt": "2025-01-01T12:00:00Z", "updatedAt": "2025-01-02T12:00:00Z", "createdBy": "admin@example.com", "updatedBy": "admin@example.com", "version": 1}/sfp/api/review/pools/assign/{id}Authorization
access-token In: header
Path Parameters
Assignment rule ID
Response Body
curl -X DELETE "https://example.com/sfp/api/review/pools/assign/string"